import { Obj } from "./ObjBean";

export class ExercisesBean extends Obj{

    leftAnswer : AnswerBean;

    rightAnswer : AnswerBean;

    card : Obj;
}

export function getDefaultExercises(){
    let exercises = new ExercisesBean();

    exercises.leftAnswer = new AnswerBean();

    exercises.rightAnswer = new AnswerBean();

    exercises.card = new Obj();

    return exercises;
}


export class LetterBean extends Obj{
    backgroud:String;

    isFill = '0';
}

export function getDefaultLetter(){
    let letter = new LetterBean();

    return letter;
}

export class AnswerBean extends Obj{

    letterArr = [];
}
